#ifndef POWERSUPLYCFG_H_
#define POWERSUPLYCFG_H_

#include "gType.h" 
#include "GraphBase.h"
#include "string.h"
#include "my_string.h"
#include "Device.h"
#include "EpDevice.h"
#include "StaticText.h"
#include "CtlPanel1.h"
#include "ProtoInnerCan.h"

class TPowerSuplyCfg{
	public:
		unsigned int OnActive;
		TCtlPanel1 *aPanel;
	public:
		TStaticText Caption;

		u32 Color;
	
		int TabOrder;
	
		TRect Bound;	
		TRect Content;
		
		unsigned int CtlIndex;
	
		struct{
			unsigned char SaveOn;
			unsigned char SaveTime;
			unsigned char IsKeyLock;
			unsigned char Dump;
		}aData;
		
		int Sta;
		
		unsigned char WroteMianCount;
		unsigned char WroteSubCount;
	public:
		TPowerSuplyCfg(){};
		TPowerSuplyCfg(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor){
			Init(x1, y1, aW, aH, OwnerX, OwnerY, aColor);
		}
		void Init(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor);
	
		
		void RenderBackGround(void);
		void RenderBackGround(unsigned int aClr);
		void DrawSelf(void);
		
		void Show(void);
		void ReDraw(void);
		void FullRedraw(int Prm);
		void ShowSaveOnOff();
		void ShowKeyLockOnOff();
		
		TGuiMsgReturn KeyIn(unsigned char aKey);
		
		void InitPanel();
		void Check4Selected(void);
		
		void LoadData();
		void SaveData();
		void ShowSta();
		void ShowSta(int aSta);
		
		int ExtRequst(unsigned char Prm){return 0;}
	
};



#endif

